Styled Layer Descriptor (SLD) Support

2009-06-10 09:01 PM - springmeyer -

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 11786

Description

QGIS should be able to read and write style definitions in SLD format.

Since an XML format is already used with QGIS to read and write symbology, a set of functions that wrote definitions using all possible

parts of the SLD spec should be feasible.

It would be a huge advancement towards supporting an important standard for styles, of great utility to [[MapServer]] and [[GeoServer]]

users that use SLD to apply to WMS, and perhaps contribute to the use/ability of  SLD 'sidecars', essentially SLD files to be distributed

alongside file datasources.

History

#1 - 2009-06-16 09:15 AM - springmeyer -

Looks like SLD support is on the wish list for 2.0 release series:

http://wiki.qgis.org/qgiswiki/ReleaseRoadmap

#2 - 2012-04-26 12:23 PM - Anita Graser

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Can this be closed based on http://www.webrian.ch/2012/04/native-sld-support-in-qgis.html?

#3 - 2012-04-27 02:12 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

We can close indeed. Support for SLD has been added in 1.8 and works pretty well.
